### Virtual Method

# Ide RenameProvider rename_async

#### Declaration

    void
    rename_async (
      IdeRenameProvider* self,
      IdeLocation* location,
      const gchar* new_name,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

This requests the provider to determine the edits that must be made to the project to perform the renaming of a symbol found at `location`.

Use `ide_rename_provider_rename_finish()` to get the results.

Available since: | 3.32

#### Parameters

`location` | `IdeLocation`
| An `IdeLocation`.
| The data is owned by the caller of the function.
`new_name` | `const gchar*`
| The replacement name for the symbol.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A callback to complete the request.
`user_data` | `gpointer`
| User data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.